package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 逃生指引灯对象 lab_exit_light
 *
 * @author zd
 * @date 2022-01-25
 */
@ApiModel("逃生指引灯")
public class LabExitLight extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 实验室id */
    @Excel(name = "实验室id")
    @ApiModelProperty(value = "实验室id")
    private Long subjectId;
    /** 楼层id */
    @Excel(name = "楼层id")
    @ApiModelProperty(value = "楼层id")
    private Long buildId;
    /** 继电器编号 */
    @Excel(name = "继电器编号")
    @ApiModelProperty(value = "继电器编号")
    private String relayCode;
    /** 继电器路数 */
    @Excel(name = "继电器路数")
    @ApiModelProperty(value = "继电器路数")
    private Integer relayBit;
    /** 指示灯方向：1是左，2是右 */
    @Excel(name = "指示灯方向：1是左，2是右")
    @ApiModelProperty(value = "指示灯方向：1是左，2是右")
    private Integer lightDirection;
    /** 继电器状态，1是在线，0是离线，3是异常 */
    @Excel(name = "继电器状态，1是在线，0是离线，3是异常")
    @ApiModelProperty(value = "继电器状态，1是在线，0是离线，3是异常")
    private Integer lightStatus;
    /** 配置名称 */
    @Excel(name = "配置名称")
    @ApiModelProperty(value = "配置名称")
    private String configName;
    /** 配置状态 */
    @Excel(name = "配置状态")
    @ApiModelProperty(value = "配置状态")
    private String configStatus;
    /** 创建人id */
    @Excel(name = "创建人id")
    @ApiModelProperty(value = "创建人id")
    private Long userId;
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSubjectId(Long subjectId)
    {
        this.subjectId = subjectId;
    }

    public Long getSubjectId()
    {
        return subjectId;
    }
    public void setBuildId(Long buildId)
    {
        this.buildId = buildId;
    }

    public Long getBuildId()
    {
        return buildId;
    }
    public void setRelayCode(String relayCode)
    {
        this.relayCode = relayCode;
    }

    public String getRelayCode()
    {
        return relayCode;
    }
    public void setRelayBit(Integer relayBit)
    {
        this.relayBit = relayBit;
    }

    public Integer getRelayBit()
    {
        return relayBit;
    }
    public void setLightDirection(Integer lightDirection)
    {
        this.lightDirection = lightDirection;
    }

    public Integer getLightDirection()
    {
        return lightDirection;
    }
    public void setLightStatus(Integer lightStatus)
    {
        this.lightStatus = lightStatus;
    }

    public Integer getLightStatus()
    {
        return lightStatus;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public String getConfigName() {
        return configName;
    }

    public void setConfigName(String configName) {
        this.configName = configName;
    }

    public String getConfigStatus() {
        return configStatus;
    }

    public void setConfigStatus(String configStatus) {
        this.configStatus = configStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("subjectId", getSubjectId())
            .append("buildId", getBuildId())
            .append("relayCode", getRelayCode())
            .append("relayBit", getRelayBit())
            .append("lightDirection", getLightDirection())
            .append("lightStatus", getLightStatus())
            .append("userId", getUserId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
